//+------------------------------------------------------------------+
//|                     mn OHLC Code.mq4                             |
//+------------------------------------------------------------------+
#property copyright "D"
#property link      ""

#property indicator_chart_window
extern int mCorner = 1;
extern bool mShowFigures = false;
int mDigits, mLabelOffset = 0;
double mMOpen, mMHigh, mMLow, mMClose, mWOpen, mWHigh, mWLow, mWClose, mDOpen, mDHigh, mDLow, mDClose;

//+------------------------------------------------------------------+
int init()
 { 
   mDigits = Digits;
   mMOpen = iOpen(NULL, PERIOD_MN1, 0);
   mMHigh = iHigh(NULL, PERIOD_MN1, 0);
   mMLow = iLow(NULL, PERIOD_MN1, 0);
   mMClose = iClose(NULL, PERIOD_MN1,0);
   mWOpen = iOpen(NULL, PERIOD_W1, 0);
   mWHigh = iHigh(NULL, PERIOD_W1, 0);
   mWLow = iLow(NULL, PERIOD_W1, 0);
   mWClose = iClose(NULL, PERIOD_W1, 0);
   mDOpen = iOpen(NULL, PERIOD_D1, 1);
   mDHigh = iHigh(NULL, PERIOD_D1, 1);
   mDLow = iLow(NULL, PERIOD_D1, 1);
   mDClose = iClose(NULL, PERIOD_D1, 1);
  return(0); 
}
 
//-----------------------------------------------+ 
int start()
{
  if(mShowFigures)
   {
    ObjectCreate("m.Monthly",OBJ_LABEL,0,0,0,0,0);
    ObjectSetText("m.Monthly", "Month  : " + DoubleToStr(mMOpen, mDigits) + " : " + 
    DoubleToStr(mMHigh, mDigits) + " : " +DoubleToStr(mMLow, mDigits) + " : " + 
    DoubleToStr(mMClose, mDigits), 8, "TimesNewRoman Bold", Red);
    ObjectSet("m.Monthly",OBJPROP_CORNER, 0);
    ObjectSet("m.Monthly",OBJPROP_XDISTANCE, 2);
    ObjectSet("m.Monthly",OBJPROP_YDISTANCE, 2);

    ObjectCreate("m.Weekly",OBJ_LABEL,0,0,0,0,0);
    ObjectSetText("m.Weekly", "Week  : " + DoubleToStr(mWOpen, mDigits) + " : " + 
    DoubleToStr(mWHigh, mDigits) + " : " +DoubleToStr(mWLow, mDigits) + " : " + 
    DoubleToStr(mWClose, mDigits), 8, "TimesNewRoman Bold", Blue);
    ObjectSet("m.Weekly",OBJPROP_CORNER, 0);
    ObjectSet("m.Weekly",OBJPROP_XDISTANCE, 2);
    ObjectSet("m.Weekly",OBJPROP_YDISTANCE, 17);

    ObjectCreate("m.Daily",OBJ_LABEL,0,0,0,0,0);
    ObjectSetText("m.Daily", "Day      : " + DoubleToStr(mDOpen, mDigits) + " : " + 
    DoubleToStr(mDHigh, mDigits) + " : " +DoubleToStr(mDLow, mDigits) + " : " + 
    DoubleToStr(mDClose, mDigits), 8, "TimesNewRoman Bold", Green);
    ObjectSet("m.Daily",OBJPROP_CORNER, 0);
    ObjectSet("m.Daily",OBJPROP_XDISTANCE, 2);
    ObjectSet("m.Daily",OBJPROP_YDISTANCE, 32);
   }
   

   
   ObjectCreate("m.DailyOpen",OBJ_HLINE,0,0,0,0,0);
   ObjectSet("m.DailyOpen", OBJPROP_PRICE1, mDOpen);
   ObjectSet("m.DailyOpen", OBJPROP_COLOR, Yellow);
   //ObjectSet("m.DailyOpen", OBJPROP_STYLE,STYLE_DOT);
   //ObjectCreate("m.DailyOpenL", OBJ_TEXT, 0, Time[mLabelOffset], mDOpen);
   //ObjectSetText("m.DailyOpenL", "D Open", 8, "TimesNewRoman", Green);
   
   ObjectCreate("m.DailyHigh", OBJ_HLINE, 0,0,0,0,0);
   ObjectSet("m.DailyHigh", OBJPROP_PRICE1, mDHigh);
   ObjectSet("m.DailyHigh", OBJPROP_COLOR, Yellow);
   //ObjectCreate("m.DailyHighL", OBJ_TEXT, 0, Time[mLabelOffset], mDHigh);
   //ObjectSetText("m.DailyHighL", "D High", 8, "TimesNewRoman", Green);
   
   ObjectCreate("m.DailyLow", OBJ_HLINE, 0,0,0,0,0);
   ObjectSet("m.DailyLow", OBJPROP_PRICE1, mDLow);
   ObjectSet("m.DailyLow", OBJPROP_COLOR, Yellow);
   //ObjectCreate("m.DailyLowL", OBJ_TEXT, 0, Time[mLabelOffset], mDLow);
   //ObjectSetText("mDailyLowL", "D Low", 8, "TimesNewRoman", Green);
   
   ObjectCreate("m.DailyClose", OBJ_HLINE, 0,0,0,0,0);
   ObjectSet("m.DailyClose", OBJPROP_PRICE1, mDClose);
   ObjectSet("m.DailyClose", OBJPROP_COLOR, Yellow);
   //ObjectCreate("m.DailyCloseL", OBJ_TEXT, 0, Time[mLabelOffset], mDClose);
   //ObjectSetText("m.DailyCloseL", "D Close", 8, "TimesNewRoman", Green);


   
  return(0);
}
 
//-----------------------------------------------+
int deinit()
{
   for(int y = ObjectsTotal(); y >= 0; y--)
    {
     if(StringSubstr(ObjectName(y), 0, 2) == "m.")
       ObjectDelete(ObjectName(y));
    }

  return(0);
}

//-----------------------------------------------+


